 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        num          : 1,  //数量默认1
        address      : '', //地址
        stockData    : '', //数据
        disabled     : false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        // 获取提货前置
        this.pickInfo();
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {},

    /**
     * 提货前置
     */
    pickInfo (){
        wx.$api.stock.pick().then(res => {
            this.setData({
                address      : res.data.address,
                stockData    : res.data.stockData,
                isExperience : res.data.dientity.is_experience
            })
        }).catch(err => {})
    },

    /**
     * 商品数量加减
     */
    goodsNumber(e){
        let num = this.data.num,
            val = e.currentTarget.dataset.type
        if (val == 'plus'){
            num ++;
            if(num > this.data.stockData.stock ){
                wx.showToast({
                    title: '商品数量不能大于库存量',
                    icon: 'none'
                });
                num = this.data.stockData.stock
            }
            
        }else{
            if (num > 1){
                num --;
            }else{
                wx.showToast({
                    title   : '商品数量不能小于1',
                    icon    : 'none'
                })
            }
            this.setData({
                num: num
            })
        }
        this.setData({
            num: num
        })
    },

    /**
     * 输入商品数量
     */
    goodsNumberInput(e) {
        let goodsNum = e.detail.value;
        if (goodsNum > 0) {
            if(goodsNum > this.data.stockData.stock ){
                wx.showToast({
                    title: '商品数量不能大于库存量',
                    icon: 'none'
                });
                this.setData({
                    num: this.data.stockData.stock
                })
                return
            }
            this.setData({
                num: goodsNum
            })
        } else {
            wx.showToast({
                title: '商品数量不能小于1',
                icon: 'none'
            });
            this.setData({
                num: 1
            })
        }
    },

    /**
     * 申请提货
     */
    stockForm(e) {
        let newQty = this.data.num
        if(this.data.isExperience) {
            newQty = this.data.stockData.stock
        }
        let data = {
            remark      : e.detail.value.remark,
            qty         : newQty,
            address_id  : this.data.address.address_id
        }

        wx.$api.stock.pickTake(data).then(res => {
            this.setData({
                disabled: true
            })
            
            // 跳到审核页面
            wx.redirectTo({
              url: '../examine/index'
            })
        }).catch(err => {})
    }
})